Bug 1130278 - gnuradio 3.7.4 is released
Summary: gnuradio 3.7.4 is released
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:04 UTC by jmurphy
Modified: 2015-05-29 13:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 13:37:50 UTC


Attachments (Terms of Use)

Description jmurphy 2014-08-14 19:04:37 UTC
Description of problem:
gnuradio 3.7.4 is released, up to 3.7.4-4 in fact, but is not included in fc20 repo (rpm is in fc22/rawhide repos but I believe those rpm's can not be installed in fc20)

Version-Release number of selected component (if applicable):
3.7.4 replaces 3.7.3-1 currently in repo

How reproducible:
see "Steps to Reproduce" below

Steps to Reproduce:
1. yum install gnuradio (if not already installed)
2. yum update
3. rpm -qa | grep gnuradio
4. read version number of installed package from response to #3

Actual results:
3.7.3-1

Expected results:
3.7.4- some dash number (-4 is current August 14 2014)

Additional info:
3.7.4 release was either July 15 or July 21 2014 depending where you look
http://gnuradio.org/redmine/versions/42
http://gnuradio.org/redmine/news/38
http://gnuradio.squarespace.com/home/2014/7/21/release-of-374.html
as of August 14 work is underway on 3.7.5 with the issue tracker for it showing 7/9 closed
http://gnuradio.org/redmine/versions/43

Comment 1 Jaroslav Škarvada 2014-08-14 19:20:05 UTC
I will probably not update gnuradio in f20, it would require rebuild of several deps due to ABI change, which is something that should be generally avoided. Please see Fedora update policy for stable releases [1]. Gnuradio-3.7.4 will be included in f21 (alpha is currently planned on 2014-09-02).

[1] http://fedoraproject.org/wiki/Updates_Policy#Stable_Releases

Comment 2 Fedora End Of Life 2015-05-29 12:38:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jaroslav Škarvada 2015-05-29 13:37:50 UTC
No upgrade is planned for f20. It's not worth the effort and risk, please upgrade to f22.


Note You need to log in before you can comment on or make changes to this bug.